"use strict";

import { ShadowView, LinearShadowView } from "./components/ShadowView.js";
import LinearShadowCanvas from "./components/LinearShadowCanvas.js";
import InnerShadowCanvas from "./components/ShadowCanvas.js";
import { getBackgroundColor, getShadowProperty } from "./utils.js";
import { DEFAULT_SHADOW_OFFSET_SCALE, DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE, DEFAULT_BACKGROUND_COLOR, DEFAULT_REFLECTED_LIGHT_COLOR, DEFAULT_SHADOW_COLOR, DEFAULT_SHADOW_BLUR, DEFAULT_REFLECTED_LIGHT_BLUR } from "./types.js";
// Export the types and constants for use in other modules.
export { DEFAULT_SHADOW_OFFSET_SCALE, DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE, DEFAULT_BACKGROUND_COLOR, DEFAULT_REFLECTED_LIGHT_COLOR, DEFAULT_SHADOW_COLOR, DEFAULT_SHADOW_BLUR, DEFAULT_REFLECTED_LIGHT_BLUR };

// Export the types and constants for use in other modules.
export { getBackgroundColor, getShadowProperty };

// Export the main components and utility functions.
export { ShadowView, LinearShadowView, InnerShadowCanvas, LinearShadowCanvas };
//# sourceMappingURL=index.js.map